Subject: bug#11532: automake-1.12.0b self test failures: t/remake8b & t/remake9c

From: Stefano Lattarini <[email-masked]>
Date: Mon, 23 Jul 2012 17:37:14 +0200

On 07/23/2012 05:26 PM, Simon Josefsson wrote:
> Stefano Lattarini <[email-masked]> writes:
> 
>> severity 11532 minor
>> tags 11532 + moreinfo
>> thanks
>>
>> Reference:
>> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11532>
>>
>> On 05/21/2012 02:24 PM, Simon Josefsson wrote:
>>> Hi!  I got two failures on my Ubuntu 12.04 LTS system,
>>> see output below.
>>>
>>> FAIL: t/remake8b
>>> FAIL: t/remake9c
>>>
>>
>> Hi Simon, sorry for the delay.
>>
>> So far I've been unable to reproduce these failures.  Can you try if they
>> are still present in Automake 1.12.2?  If yes, do they happen consistently
>> or racily?  Do you have a special/unusual system setup that might be
>> causing them?  Any other details or ideas you can provide?
> 
> As I recall it was a fairly vanilla install.  However, automake 1.12.2
> passes all tests except 't/aclocal7' on the same machine (see below)
> now.  Out of around 10 attempts of 'make check TESTS=t/aclocal7', it
> only succeeded once.
>
Yep, that has already been fixed in the development version of Automake
(and it was just a testsuite weakness, not an actual bug).

Let me know if you manage to reproduce the 't/remake*' failures in some
way, otherwise I will proceed to close the bug in a few days.

Thanks,
  Stefano